<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CommonColdMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/df6/class_common_cold_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CommonColdMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CommonColdMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/df6/class_common_cold_mdfr.png" usemap="#CommonColdMdfr_map" alt=""/>
  <map id="CommonColdMdfr_map" name="CommonColdMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,113,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4265c398e1f776f1c309ece6e53851f2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#a4265c398e1f776f1c309ece6e53851f2">Init</a> ()</td></tr>
<tr class="separator:a4265c398e1f776f1c309ece6e53851f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fee56dcd995c129ca708ef5d730ecd9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#a3fee56dcd995c129ca708ef5d730ecd9">GetDebugText</a> ()</td></tr>
<tr class="separator:a3fee56dcd995c129ca708ef5d730ecd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae10504b8dba5f6384c1381e82ea0ce1d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#ae10504b8dba5f6384c1381e82ea0ce1d">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ae10504b8dba5f6384c1381e82ea0ce1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a193c4d08a72d8dba0926780fb8ee7c4a"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#a193c4d08a72d8dba0926780fb8ee7c4a">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a193c4d08a72d8dba0926780fb8ee7c4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8731905c26c7a2fdb986d0558d597172"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#a8731905c26c7a2fdb986d0558d597172">OnDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a8731905c26c7a2fdb986d0558d597172"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e05e8bcb304c25fb724aeab43ae8eda"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#a3e05e8bcb304c25fb724aeab43ae8eda">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a3e05e8bcb304c25fb724aeab43ae8eda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa714e58474c76a2e4488b800b56eccc3"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#aa714e58474c76a2e4488b800b56eccc3">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:aa714e58474c76a2e4488b800b56eccc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ac86617d1936966b2470cf3da3e7f3be1"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#ac86617d1936966b2470cf3da3e7f3be1">AGENT_THRESHOLD_ACTIVATE</a> = 200</td></tr>
<tr class="separator:ac86617d1936966b2470cf3da3e7f3be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28fb7b52a2d0381337c58e5e274d052e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html#a28fb7b52a2d0381337c58e5e274d052e">AGENT_THRESHOLD_DEACTIVATE</a> = 100</td></tr>
<tr class="separator:a28fb7b52a2d0381337c58e5e274d052e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae10504b8dba5f6384c1381e82ea0ce1d" name="ae10504b8dba5f6384c1381e82ea0ce1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae10504b8dba5f6384c1381e82ea0ce1d">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> CommonColdMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00018">18</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<a id="a3e05e8bcb304c25fb724aeab43ae8eda" name="a3e05e8bcb304c25fb724aeab43ae8eda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e05e8bcb304c25fb724aeab43ae8eda">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> CommonColdMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00043">43</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<a id="a3fee56dcd995c129ca708ef5d730ecd9" name="a3fee56dcd995c129ca708ef5d730ecd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fee56dcd995c129ca708ef5d730ecd9">&#9670;&#160;</a></span>GetDebugText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> CommonColdMdfr::GetDebugText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00013">13</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<a id="a4265c398e1f776f1c309ece6e53851f2" name="a4265c398e1f776f1c309ece6e53851f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4265c398e1f776f1c309ece6e53851f2">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CommonColdMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<a id="a193c4d08a72d8dba0926780fb8ee7c4a" name="a193c4d08a72d8dba0926780fb8ee7c4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a193c4d08a72d8dba0926780fb8ee7c4a">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void CommonColdMdfr::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00030">30</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<a id="a8731905c26c7a2fdb986d0558d597172" name="a8731905c26c7a2fdb986d0558d597172"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8731905c26c7a2fdb986d0558d597172">&#9670;&#160;</a></span>OnDeactivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void CommonColdMdfr::OnDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00036">36</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<a id="aa714e58474c76a2e4488b800b56eccc3" name="aa714e58474c76a2e4488b800b56eccc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa714e58474c76a2e4488b800b56eccc3">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void CommonColdMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00048">48</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ac86617d1936966b2470cf3da3e7f3be1" name="ac86617d1936966b2470cf3da3e7f3be1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac86617d1936966b2470cf3da3e7f3be1">&#9670;&#160;</a></span>AGENT_THRESHOLD_ACTIVATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CommonColdMdfr::AGENT_THRESHOLD_ACTIVATE = 200</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<a id="a28fb7b52a2d0381337c58e5e274d052e" name="a28fb7b52a2d0381337c58e5e274d052e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28fb7b52a2d0381337c58e5e274d052e">&#9670;&#160;</a></span>AGENT_THRESHOLD_DEACTIVATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CommonColdMdfr::AGENT_THRESHOLD_DEACTIVATE = 100</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/ded/_common_cold_8c_source.html#l00004">4</a> of file <a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/diseases/<a class="el" href="../../d9/ded/_common_cold_8c_source.html">CommonCold.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/df6/class_common_cold_mdfr.html">CommonColdMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
